mgl-map {
    height: 100%;
    width: 100%;
}


#mapid { height: 100%;
width: 100%; }



/* slider right */
/* http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
  vertical-align: baseline;
  /* font-family: "Droid Sans", sans-serif; */
  font-family: 'Product Sans', sans-serif;

}
/* HTML5 display-role reset for older browsers */
/* --------------------------------

Slide In Panel - by CodyHouse.co

-------------------------------- */
.cd-main-content {
  text-align: center;
}

.cd-main-content h1 {
  font-size: 2rem;
  color: #64788c;
  padding: 4em 0;
}

.cd-btn {
  font-size: 1rem;
  position: fixed;
  color:#bfbfbf;
  top:1em;
  left:1em;
  display: inline-block;
  padding: 0.6em 0.7em;
  background-color: #fff;
  border-radius: 50em;
  -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.5), 0 0 5px rgba(0, 0, 0, 0.3);
  box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.5), 0 0 5px rgba(0, 0, 0, 0.3);

}

.cd-btn:hover {
  -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.5), 0 0 10px rgba(0, 0, 0, 0.3);
          box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.5), 0 0 10px rgba(0, 0, 0, 0.3);
}

@media only screen and (min-width: 1170px) {
  .cd-main-content h1 {
    font-size: 3.2rem;
  }
}

.cd-panel {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  visibility: hidden;
  -webkit-transition: visibility 0s 0.6s;
  transition: visibility 0s 0.6s;
  z-index: 5;
}

.cd-panel::after {
  /* overlay layer */
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: transparent;
  cursor: pointer;
  -webkit-transition: background 0.3s 0.3s;
  transition: background 0.3s 0.3s;
}

.cd-panel.cd-panel--is-visible {
  visibility: visible;
  -webkit-transition: visibility 0s 0s;
  transition: visibility 0s 0s;
}

.cd-panel.cd-panel--is-visible::after {
  background: rgba(0, 0, 0, 0.6);
  -webkit-transition: background 0.3s 0s;
  transition: background 0.3s 0s;
}

.cd-panel__header {
  position: fixed;
  width: 90%;
  height: 50px;
  line-height: 50px;
  background: #008C50;
  z-index: 4;
  -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.08);
          box-shadow: 0 1px 1px rgba(0, 0, 0, 0.08);
  -webkit-transition: -webkit-transform 0.3s 0s;
  transition: -webkit-transform 0.3s 0s;
  transition: transform 0.3s 0s;
  transition: transform 0.3s 0s, -webkit-transform 0.3s 0s;
  -webkit-transform: translateY(-50px);
      -ms-transform: translateY(-50px);
          transform: translateY(-50px);
}

.cd-panel__header h1 {
  color: #fff;
  padding-left: 5%;
}


.cd-panel__header a {
  color: #fff;
}

.cd-panel--from-right .cd-panel__header {
  right: 0;
}

.cd-panel--from-left .cd-panel__header {
  left: 0;
}

.cd-panel--is-visible .cd-panel__header {
  -webkit-transition: -webkit-transform 0.3s 0.3s;
  transition: -webkit-transform 0.3s 0.3s;
  transition: transform 0.3s 0.3s;
  transition: transform 0.3s 0.3s, -webkit-transform 0.3s 0.3s;
  -webkit-transform: translateY(0px);
      -ms-transform: translateY(0px);
          transform: translateY(0px);
}

@media only screen and (min-width: 768px) {
  .cd-panel__header {
    width: 50%;
  }
}

@media only screen and (min-width: 1170px) {
  .cd-panel__header {
    width: 30%;
  }
}

.cd-panel__close {
  position: absolute;
  top: 0;
  right: 0;
  height: 100%;
  width: 60px;
  /* image replacement */
  display: inline-block;
  overflow: hidden;
  text-indent: 100%;
  white-space: nowrap;
}

.cd-panel__close::before, .cd-panel__close::after {
  /* close icon created in CSS */
  content: '';
  position: absolute;
  top: 22px;
  left: 20px;
  height: 3px;
  width: 20px;
  background-color: #424f5c;
  /* this fixes a bug where pseudo elements are slighty off position */
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}

.cd-panel__close::before {
  -webkit-transform: rotate(45deg);
      -ms-transform: rotate(45deg);
          transform: rotate(45deg);
}

.cd-panel__close::after {
  -webkit-transform: rotate(-45deg);
      -ms-transform: rotate(-45deg);
          transform: rotate(-45deg);
}

.cd-panel__close:hover {
  background-color: #008C50;
}

.cd-panel__close:hover::before, .cd-panel__close:hover::after {
  background-color: #ffffff;
  -webkit-transition: -webkit-transform 0.3s;
  transition: -webkit-transform 0.3s;
  transition: transform 0.3s;
  transition: transform 0.3s, -webkit-transform 0.3s;
}

.cd-panel__close:hover::before {
  -webkit-transform: rotate(220deg);
      -ms-transform: rotate(220deg);
          transform: rotate(220deg);
}

.cd-panel__close:hover::after {
  -webkit-transform: rotate(135deg);
      -ms-transform: rotate(135deg);
          transform: rotate(135deg);
}

.cd-panel--is-visible .cd-panel__close::before {
  -webkit-animation: cd-close-1 0.6s 0.3s;
          animation: cd-close-1 0.6s 0.3s;
}

.cd-panel--is-visible .cd-panel__close::after {
  -webkit-animation: cd-close-2 0.6s 0.3s;
          animation: cd-close-2 0.6s 0.3s;
}

@-webkit-keyframes cd-close-1 {
  0%, 50% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(45deg);
            transform: rotate(45deg);
  }
}

@keyframes cd-close-1 {
  0%, 50% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(45deg);
            transform: rotate(45deg);
  }
}

@-webkit-keyframes cd-close-2 {
  0%, 50% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(-45deg);
            transform: rotate(-45deg);
  }
}

@keyframes cd-close-2 {
  0%, 50% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(-45deg);
            transform: rotate(-45deg);
  }
}

.cd-panel__container {
  position: fixed;
  width: 90%;
  height: 100%;
  top: 0;
  background: #fff;
  z-index: 3;
  -webkit-transition: -webkit-transform 0.3s 0.3s;
  transition: -webkit-transform 0.3s 0.3s;
  transition: transform 0.3s 0.3s;
  transition: transform 0.3s 0.3s, -webkit-transform 0.3s 0.3s;
}

.cd-panel--from-right .cd-panel__container {
  right: 0;
  -webkit-transform: translate3d(100%, 0, 0);
          transform: translate3d(100%, 0, 0);
}

.cd-panel--from-left .cd-panel__container {
  left: 0;
  -webkit-transform: translate3d(-100%, 0, 0);
          transform: translate3d(-100%, 0, 0);
}

.cd-panel--is-visible .cd-panel__container {
  -webkit-transform: translate3d(0, 0, 0);
          transform: translate3d(0, 0, 0);
  -webkit-transition-delay: 0s;
          transition-delay: 0s;
}

@media only screen and (min-width: 768px) {
  .cd-panel__container {
    width: 50%;
  }
}

@media only screen and (min-width: 1170px) {
  .cd-panel__container {
    width: 30%;
  }
}

.cd-panel__content {
  position: absolute;
  top: 0;
  left: 0;
  width: 90%;
  height: 100%;
  padding: 70px 5%;
  overflow: auto;
  /* smooth scrolling on touch devices */
  -webkit-overflow-scrolling: touch;
}

.cd-panel__content p {
  font-size: 1.4rem;
  color: #424f5c;
  line-height: 1.4;
  margin: 2em 0;
}

.cd-panel__content p:first-of-type {
  margin-top: 0;
}

@media only screen and (min-width: 768px) {
  .cd-panel__content p {
    font-size: 1.6rem;
    line-height: 1.6;
  }
}

/* Custom */

input[type=text], select  {
  width: 100%;
  padding: 6px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}


input[type=text] {
  width: 90%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

.submit{
  width: 100%;
  background-color: #008C50;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.submit:hover {
  background-color: #45a049;
}

label {
  color:#000;
}


/* legend */

.legend-jams {
  font-size: 0.8rem;
  position: fixed;
  padding: 0.5em;
  bottom:2em;
  right: 1em;
  width:18em;
  display: flex;
  flex-direction: column;
  min-height: 4em;
  background-color: #fff;
  border-radius: 0.5em;
  z-index: 1;
}

.legend-jam-section,.legend-day-section {
  color:#64788c;
  margin-top: 0.4em;
  font-style: italic;
  clear: both;
  display: block;
  position: relative;
}
.legend-jam-section {
  float: left;
}

.legend-day-section {
  font-style: normal;
}

.legend-date-time {
  padding-top: 1.5em;
}

/* jam box color */
.legend-jam-box {
  width: 1.5em;
  height: 0.6em;
  margin-right: 0.15em;
  /* border: 1px solid black; */
  display:inline-block;
  z-index: 1 !important;
}

/* basemap component option */
.basemap-opt {
  width: 9.4em;
  position: fixed;
  top: 0.8em;
  right:0.3em;
}

/* mapbox button base map */

.btn-basemap {
  margin-left:0.4em;
  margin-right:0.4em;
  margin-top:0.6em;
  display:block;
  width: 30px;
  height: 30px;
  background-color: #fff;
  border: 0;
  border-radius: 4px;
}

.cdk-overlay-pane {
  top: 134px!important;
}


.mat-select:focus:not(.mat-select-disabled).mat-primary
.mat-select-arrow , .mat-select-underline , .mat-select-trigger
{
    color: #000;
}

/* to change selected item color in the select list */
.mat-primary .mat-option.mat-selected:not(.mat-option-disabled) {
    color: #000;
}

.mat-primary .mat-pseudo-checkbox-checked, .mat-primary .mat-pseudo-checkbox-indeterminate {
    background: #0187CB !important;
}

.mat-checkbox-checked.mat-accent .mat-checkbox-background, .mat-checkbox-indeterminate.mat-accent .mat-checkbox-background {
  background-color: #0187CB !important;

}

.multiselect-dropdown {
  width:95% !important;
}

.selected-item{
  background-color: #0187CB !important;
}

.multiselect-item-checkbox[_ngcontent-kam-c7] input[type=checkbox][_ngcontent-kam-c7]:checked + div[_ngcontent-kam-c7]:before  {
  background-color: #0187CB !important;
}

.md-datepicker-input-container {
    width: 300px;
}


/* Border */
.mat-form-field-appearance-outline .mat-form-field-outline:hover {
  color: white;
}

::ng-deep .ngx-timepicker {
  border-bottom: 1px solid #000 !important;
}


.mapboxgl-popup {
  max-width: 330px !important;
}



/* calendar */

.owl-dt-calendar-table .owl-dt-calendar-cell-selected {
    background-color: #0187CB;
}

.owl-dt-popup {
  margin-top:115px;
}
/* end calendar */



/* fix pointer event line jam */
.off{
   pointer-events:none;
}

/* mapbox top right control */
.mapboxgl-ctrl-top-right {
  top:4em;
}

/* slider */
#slider-1 /deep/ .mat-accent .mat-slider-track-fill, #slider-1 /deep/ .mat-accent .mat-slider-thumb, #slider-1 /deep/ .mat-accent .mat-slider-thumb-label, .widget-time-slider /deep/ .mat-accent .mat-slider-track-fill, .widget-time-slider /deep/ .mat-accent .mat-slider-thumb, .widget-time-slider /deep/ .mat-accent .mat-slider-thumb-label{
  background: #0187CB!important;
}


/* widget time slider */

.widget-time-slider {
  font-size: 0.8rem;
  font-weight: bold;
  position: fixed;
  padding: 0.5em;
  bottom:2em;
  left: 1em;
  width:18em;
  display: flex;
  flex-direction: column;
  min-height: 4em;
  background-color: #fff;
  border-radius: 0.5em;
  z-index: 1;
}
